﻿using System.Data.Linq;
using System.Data.Linq.Mapping;

namespace LinqToSqlManualExample
{
	[Table(Name = "Brands")]
	public class Brand
	{
		private EntityRef<Producer> _producer;
		private EntitySet<Product> _products;

		[Column(IsPrimaryKey = true)]
		public int BrandID { get; set; }

		[Column]
		public int ProducerID { get; set; }

		[Column(CanBeNull = false)]
		public string Name { get; set; }

		[Column]
		public string Description { get; set; }

		[Association(Storage = "_producer", ThisKey = "ProducerID")]
		public Producer Producer
		{
			get { return _producer.Entity; }
			set { _producer.Entity = value; }
		}

		[Association(Storage = "_products", OtherKey = "BrandID")]
		public EntitySet<Product> Products
		{
			get { return _products; }
			set { _products.Assign(value); }
		}
	}
}
