﻿using System.Data.Linq;
using System.Data.Linq.Mapping;

namespace LinqToSqlManualExample
{
	[Table(Name = "Producers")]
	public class Producer
	{
		private EntitySet<Brand> _brands;

		[Column(IsPrimaryKey = true)]
		public int ProducerID { get; set; }

		[Column(CanBeNull = false)]
		public string Name { get; set; }

		[Column]
		public string Country { get; set; }

		[Association(Storage = "_brands", OtherKey = "ProducerID")]
		public EntitySet<Brand> Brands
		{
			get { return _brands; }
			set { _brands.Assign(value); }
		}
	}
}
